# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name http-types

%global common_summary Generic HTTP types for Haskell

%global common_description Generic HTTP types for Haskell for both client and server code.

Name:           ghc-%{pkg_name}
Version:        0.6.11
Release:        3%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-case-insensitive-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.6.11-2
- change prof BRs to devel

* Wed Jun 13 2012 Jens Petersen <petersen@redhat.com> - 0.6.11-1
- update to 0.6.11

* Thu Mar 22 2012 Jens Petersen <petersen@redhat.com> - 0.6.10-1
- update to 0.6.10

* Wed Mar  7 2012 Jens Petersen <petersen@redhat.com> - 0.6.9-2
- rebuild

* Sat Mar  3 2012 Jens Petersen <petersen@redhat.com> - 0.6.9-1
- update to 0.6.9

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.6.8-1
- update to 0.6.8 and cabal2spec-0.25.2

* Tue Oct 25 2011 Jens Petersen <petersen@redhat.com> - 0.6.5.1-1.1
- rebuild against new gmp

* Thu Oct 13 2011 Jens Petersen <petersen@redhat.com> - 0.6.5.1-1
- update to 0.6.5.1

* Wed Sep 14 2011 Jens Petersen <petersen@redhat.com> - 0.6.5-2
- rebuild against newer ghc-rpm-macros

* Thu Jun 30 2011 Jens Petersen <petersen@redhat.com> - 0.6.5-1
- BSD
- depends on blaze-builder and case-insensitive

* Thu Jun 30 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.6.5-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24
